const {UniversityDB, UniversityTestDB} = require("./UniversityDB")

function GetUniversityName(domain, useUniversityTestDB) {
  if(!domain) { return "" }
  let university = null
  if(useUniversityTestDB) {
    university = UniversityTestDB[domain]
  } else {
    university = UniversityDB[domain]
  }
  if(!university) { return "" }
  return university.name || ""
}

function GetUniversityLogoKey(domain, useUniversityTestDB) {
  if(!domain) { return "" }
  let university = null
  if(useUniversityTestDB) {
    university = UniversityTestDB[domain]
  } else {
    university = UniversityDB[domain]
  }
  if(!university) { return "" }
  return university.logoKey
}

function GetUniversityTimeZoneHourOffset(domain, useUniversityTestDB) {
  if(!domain) return { undefined }
  let university = null
  if(useUniversityTestDB) {
    university = UniversityTestDB[domain]
  } else {
    university = UniversityDB[domain]
  }
  if(!university) { return undefined }
  return university.timeZoneHourOffset
}

function HasUniversity(domain, useUniversityTestDB) {
  if(!domain) { return false }
  if(useUniversityTestDB) {
    return !!UniversityTestDB[domain]
  } else {
    return !!UniversityDB[domain]
  }
}

module.exports = {
  GetUniversityName,
  GetUniversityLogoKey,
  GetUniversityTimeZoneHourOffset,
  HasUniversity
}