const {IsDaylightSavingTime} = require("./DayLightSaving")

function pad0(num) {
  num = parseInt(num)
  if(num<=9) return `0${num}`
  return `${num}`
}


function IsoDateString(year, month, date, hour, minute, timeZoneHourOffset) {

  timeZoneHourOffset = parseInt(timeZoneHourOffset)
  
  //Assuming the whole world use Day Light Saving because we will be used in US anyway. Need to change to expand outside US.
  if(IsDaylightSavingTime(year, month, date)) {
    timeZoneHourOffset++
  }
  const sign = timeZoneHourOffset < 0 ? "-":"+"

  timeZoneHourOffset = Math.abs(timeZoneHourOffset)

  month = pad0(month)
  date = pad0(date)
  hour = pad0(hour)
  minute = pad0(minute)
  timeZoneHourOffset = pad0(timeZoneHourOffset)

  return `${year}-${month}-${date}T${hour}:${minute}:00${sign}${timeZoneHourOffset}:00`
}

module.exports = {
  IsoDateString
}