const { UniversityDB, UniversityTestDB } = require("../../StaticDB/UniversityDB")
const { StringMax } = require("../StringMax")

const MAX = StringMax.EmailMax

function IsEmail(value) {
  if(value.length > MAX) return false
  if(value !== value.trim()) return false
  if(value !== value.toLowerCase()) return false

  const regex = /^[a-zA-Z0-9!#$&_*?^{}~.-]+@([a-zA-Z0-9.-]+)\.[a-zA-Z]+$/
  if(!regex.test(value)) return false
  return true
}

function IsEmailDomainAllowed(value, domain, useUniversityTestDB) {
  
  const domain2 = value.split('@')[1]
  if(!domain2) return false

  if(useUniversityTestDB) {
    if(!UniversityTestDB[domain2]) return false
  } else {
    if(!UniversityDB[domain2]) return false
  }

  if(domain && (domain !== domain2)) return false

  return true
}

module.exports = {
  IsEmail,
  IsEmailDomainAllowed
}